Catmandu::IterableOnce(3pm)

NAME
Catmandu::IterableOnce - Role for iterable classes that can only iterate once

SYNOPSIS
    package MySingleUseIterator;
    use Moo;
    with 'Catmandu::Iterable';
    with 'Catmandu::Iterableonce';

    sub  generator {
        # ...
    }

SEE ALSO
Catmandu::Iterable.